# $Revision: 1.76 $, $Date: 2011/01/10 16:08:49 $
# TODO
# - gettext mo to system dir, add all possible languages?
# - merge changes from wpmu.spec
%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.2.1
Summary:	Personal publishing system
Summary(pl.UTF-8):	Osobisty system publikacji
Name:		wordpress
Version:	3.0.4
Release:	1
License:	GPL v2
Group:		Applications/Publishing
Source0:	http://wordpress.org/%{name}-%{version}.tar.gz
# Source0-md5:	a455e0834eb2c8994c35acf3c13ddc11
Source1:	wp-secure.sh
Source2:	wp-setup.sh
Source3:	wp-setup.txt
Source4:	apache.conf
Source5:	lighttpd.conf
Source6:	http://svn.automattic.com/wordpress-i18n/et/tags/%{version}/messages/et.po
# Source6-md5:	faccf42481d5bf742b019c24a3c6251a
Source7:	http://svn.automattic.com/wordpress-i18n/pl_PL/tags/%{version}/messages/pl_PL.po
# Source7-md5:	8c9038410b596f9c705cc006dcdd5960
Patch0:		configpath.patch
Patch1:		multisite.patch
Patch2:		%{name}.patch
Patch3:		simplepie.patch
Patch4:		pear-text-diff.patch
Patch5:		atomlib.patch
Patch6:		swfobject.patch
Patch7:		phpmailer.patch
URL:		http://www.wordpress.org/
BuildRequires:	gettext-devel
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	js-swfobject >= 2.1
Requires:	php-atomlib >= 0.4
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-dom
Requires:	php-gettext
Requires:	php-hash
Requires:	php-iconv
Requires:	php-json
Requires:	php-mbstring
Requires:	php-mysql
Requires:	php-pcre
Requires:	php-pear-Text_Diff
Requires:	php-phpmailer >= 2.0.4
Requires:	php-simplepie >= 1.2
Requires:	php-spl
Requires:	php-tokenizer
Requires:	php-xml
Requires:	webapps
Requires:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no pear deps
%define		_noautopear	pear

%define		_noautophp	php-ftp php-gd php-openssl php-simplexml

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
WordPress is a state-of-the-art semantic personal publishing platform
with a focus on aesthetics, web standards, and usability. WordPress
was born out of a desire for an elegant, well-architectured personal
publishing system (also called blog or weblog) built on PHP and MySQL
and licensed under the GPL. It is the official successor of
b2/cafelog. WordPress is fresh software, but its roots and development
go back to 2001.

%description -l pl.UTF-8
WordPress jest technologicznie dopracowaną, semantyczną, osobistą
platformą do publikacji kładącą nacisk na standardy WWW oraz
użyteczność. WordPress został stworzony w wyniku potrzeby
eleganckiego, dobrze zaprojektowanego, osobistego systemu publikacji
(nazywanego również blogiem czy weblogiem). Jest to system oparty o
PHP i MySQL oraz na licencji GPL. Jest oficjalnym następcą b2/cafelog.
WordPress jest nowym oprogramowaniem, ale jego korzenie i rozwój
sięgają 2001 roku.

%package setup
Summary:	Wordpress setup package
Summary(pl.UTF-8):	Pakiet do wstępnej konfiguracji Wordpress
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
Install this package to configure initial WordPress installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl.UTF-8
Ten pakiet należy zainstalować w celu wstępnej konfiguracji WordPress
po pierwszej instalacji. Potem należy go odinstalować, jako że
pozostawienie plików instalacyjnych mogłoby być niebezpieczne.

%package plugin-akismet
Summary:	Wordpress Akismet Plugin
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description plugin-akismet
Akismet checks your comments against the Akismet web service to see if
they look like spam or not and lets you review the spam it catches
under your blog's "Comments" admin screen.

%package theme-twentyten
Summary:	Wordpress MU default theme
Group:		Applications/WWW
URL:		http://wordpress.org/extend/themes/twentyten
Requires:	%{name} = %{version}-%{release}

%description theme-twentyten
The 2010 theme for WordPress is stylish, customizable, simple, and
readable.

Make it yours with a custom menu, header image, and background. Twenty
Ten supports six widgetized areas (two in the sidebar, four in the
footer) and featured images (thumbnails for gallery posts and custom
header images for posts and pages). It includes stylesheets for print
and the admin Visual Editor, special styles for posts in the "Asides"
and "Gallery" categories, and has an optional one-column page template
that removes the sidebar.

%prep
%setup -qc
mv %{name}/* . && rmdir %{name}
%undos -f php,js,html
%patch0 -p1
%patch1 -p1
cp -a wp-config{-sample,}.php
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
cp -a %{SOURCE3} .

rm license.txt
rm wp-content/themes/index.php
rm wp-content/plugins/index.php
rm wp-content/index.php

# remove *.dev js/.css
find -name *.dev.js | xargs rm -v
find -name *.dev.css | xargs rm -v

# sample plugin
rm wp-content/plugins/hello.php

# system swfobject
rm wp-includes/js/swfobject.js

# system simplepie
rm wp-includes/class-simplepie.php

# system php-pear-Text_Diff
rm -r wp-includes/Text/Diff*
rmdir wp-includes/Text

# system atomlib
rm wp-includes/atomlib.php

# system phpmailer
rm wp-includes/class-phpmailer.php
rm wp-includes/class-smtp.php

# php 5.2 + json ext satisfies this compat
rm wp-includes/class-json.php

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
install -d wp-content/languages
msgfmt --statistics %{SOURCE6} -o wp-content/languages/et.mo
msgfmt --statistics %{SOURCE7} -o wp-content/languages/pl_PL.mo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_bindir},%{_sysconfdir},%{_appdir}/wp-content/{languages,mu-plugins},/var/{lib,log}/%{name}}

cp -a . $RPM_BUILD_ROOT%{_appdir}
mv $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir}}/wp-config.php
rm -f $RPM_BUILD_ROOT%{_appdir}/readme.html
rm -f $RPM_BUILD_ROOT%{_appdir}/wp-setup.txt

install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/wp-secure
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/wp-setup
ln -s %{_bindir}/wp-setup $RPM_BUILD_ROOT%{_appdir}/wp-setup.sh
ln -s %{_bindir}/wp-secure $RPM_BUILD_ROOT%{_appdir}/wp-secure.sh

cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	%banner -e %{name} <<-EOF
	To finish your configuration DO NOT FORGET to:

	1) Create some MySQL database owned by some user
	2) Edit the file: %{_sysconfdir}/wp-config.php
	3) Install %{name}-setup
	4) Run a browser and visit: http://`hostname`/wordpress/wp-admin/install.php
EOF
fi

%post setup
chmod 660 %{_sysconfdir}/wp-config.php
chown root:http %{_sysconfdir}/wp-config.php

%postun setup
if [ "$1" = "0" ]; then
	chmod 640 %{_sysconfdir}/wp-config.php
	chown root:http %{_sysconfdir}/wp-config.php
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc readme.html wp-setup.txt
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/wp-config.php

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/wp-includes
%dir %{_appdir}/wp-content
%dir %{_appdir}/wp-content/languages
%lang(et) %{_appdir}/wp-content/languages/et.mo
%lang(pl) %{_appdir}/wp-content/languages/pl_PL.mo
%dir %{_appdir}/wp-content/plugins
%dir %{_appdir}/wp-content/mu-plugins
%dir %{_appdir}/wp-content/themes

# needed for daily moderation
%{_appdir}/wp-admin

%attr(775,root,http) /var/lib/%{name}
%attr(775,root,http) /var/log/%{name}

%files setup
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wp-secure
%attr(755,root,root) %{_bindir}/wp-setup
%{_appdir}/wp-secure.sh
%{_appdir}/wp-setup.sh

%files plugin-akismet
%defattr(644,root,root,755)
%dir %{_appdir}/wp-content/plugins/akismet
%doc %{_appdir}/wp-content/plugins/akismet/readme.txt
%{_appdir}/wp-content/plugins/akismet/*.php
%{_appdir}/wp-content/plugins/akismet/*.gif

%files theme-twentyten
%defattr(644,root,root,755)
%{_appdir}/wp-content/themes/twentyten

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wordpress.spec,v $
Revision 1.76  2011/01/10 16:08:49  glen
- release 1

Revision 1.75  2011/01/09 15:08:15  rotom
- 3.0.4

Revision 1.74  2010/09/22 07:47:43  glen
- apply missing patch

Revision 1.73  2010/09/21 13:08:43  glen
- fix typo in simplepie.inc patch

Revision 1.72  2010/09/09 15:57:51  glen
- use system phpmailer, drop json compat

Revision 1.71  2010/09/09 15:32:41  glen
- update path to swfobject to use global alias

Revision 1.70  2010/09/09 13:40:35  glen
- system pear Text_Diff, atomlib, swfobject merged from wpmu
- cleanup .dev files (from wpmu)

Revision 1.69  2010/09/09 06:44:27  glen
- scanned autodeps

Revision 1.68  2010/09/08 21:12:06  glen
- use system simplepie class
- move wp-admin to base package

Revision 1.67  2010/09/08 15:45:28  glen
- relocate blogs.dir to /var/lib/wordpress

Revision 1.66  2010/09/08 15:31:45  glen
- init place for mu in config

Revision 1.65  2010/09/08 15:03:13  glen
- subpackage for plugins

Revision 1.64  2010/09/08 13:54:02  glen
- theme-twentyten subpackage
- add config patch

Revision 1.63  2010/09/08 12:00:06  glen
- package mu-plugins dir

Revision 1.62  2010/09/08 09:11:01  glen
- rename config files for sake of tab completion

Revision 1.61  2010/09/08 09:10:00  glen
- make out of the box config still work

Revision 1.60  2010/09/08 09:02:23  glen
- update i18n as well

Revision 1.59  2010/09/08 08:59:59  glen
- tarball up to 3.0.1

Revision 1.58  2010/07/28 08:04:05  glen
- prep for 3.0, not tested

Revision 1.57  2010/04/07 14:49:31  glen
- my backup ext is ~

Revision 1.56  2010/04/07 11:34:41  pawelz
- use MagpieRSS 0.8a from feedwordpress plugin
- rel 2

Revision 1.55  2010/04/07 11:24:30  pawelz
- use %undos macro
- rm *.orig files
- updated *.mo files

Revision 1.54  2010/04/02 10:15:15  pawelz
- up to 2.9.2
- also update *.mo files

Revision 1.53  2010/01/30 16:40:56  rotom
- up to 2.9.1

Revision 1.52  2009/03/22 16:58:59  glen
- take translations from svn

Revision 1.51  2009/03/22 16:52:37  glen
- -setup pkg, moved config to /etc

Revision 1.50  2009/03/20 08:14:46  glen
- 2.7.1

Revision 1.49  2009/03/17 12:14:41  blues
- security note

Revision 1.48  2008/12/16 08:29:47  arekm
- up to 2.7 (security: XSS fixes)

Revision 1.47  2008/12/01 09:30:13  arekm
- up to 2.6.5 (security; xss fixes)

Revision 1.46  2008/12/01 09:26:56  blues
- security blocker

Revision 1.45  2008/11/12 21:31:10  radek
- use newer version of polish translation files

Revision 1.44  2008/11/12 21:00:54  radek
- version 2.6.3

Revision 1.43  2008/09/29 09:29:26  blues
- security note

Revision 1.42  2008-03-22 14:54:06  megabajt
- added CVE references

Revision 1.41  2008-02-08 00:25:23  gotar
- upgraded to 2.3.3 (sec fixes),
- added polish translations
- [fixes CVE-2007-6013, CVE-2007-6318, CVE-2008-0664, CVE-2008-1304]

Revision 1.40  2008-02-07 23:32:24  gotar
- fixed install invocation, whitespace cosmetics

Revision 1.39  2007-10-28 15:58:32  rotom
- up to 2.3.1 [fixes CVE-2007-5710]

Revision 1.38  2007/09/28 18:39:19  rotom
- up to 2.3
- lighttpd config added

Revision 1.37  2007/09/19 22:32:03  adamg
- updated to 2.2.3 (CVE-2007-4894)

Revision 1.36  2007/06/22 15:16:51  rotom
- up to 2.2.1

Revision 1.35  2007/05/29 06:02:02  glen
- add todo

Revision 1.34  2007/05/25 15:14:44  arekm
- up to 2.2 (by wojciech/at/blaszkowski.com).

Revision 1.33  2007/04/03 16:36:22  rotom
- up to 2.1.3

Revision 1.32  2007/03/03 16:07:34  arekm
- up to 2.1.2

Revision 1.31  2007/02/22 13:18:10  arekm
- up to 2.1.1 by Wojciech Błaszkowski.

Revision 1.30  2007/02/20 20:01:47  rotom
- up to 2.1 [fixes CVE-2008-0195, CVE-2008-0196]
- lost dir added

Revision 1.29  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.27  2007/01/18 15:41:28  vip
- proper md5

Revision 1.26  2007/01/18 15:27:51  vip
- up to 2.0.7 by Wojciech Błaszkowski, wojciech at blaszkowski dot com

Revision 1.25  2007/01/05 23:01:45  vip
- updated to 2.0.6 by Wojciech Błaszkowski, wojciech at blaszkowski dot eu

Revision 1.24  2006/12/05 22:40:13  qboosh
- added CVE references

Revision 1.23  2006/11/29 13:31:18  vip
- up to 2.0.5 by Wojciech Błaszkowski, wojciech at blaszkowski dot eu
  [fixes CVE-2006-4743 CVE-2006-5705 CVE-2006-6016 CVE-2006-6017]

Revision 1.22  2006/11/27 21:06:54  glen
- php virtual extension deps

Revision 1.21  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.20  2006/08/10 21:32:55  adamg
- updated to 2.0.4 (fixes CVE-2006-3389, CVE-2006-3390, CVE-2008-0194)

Revision 1.19  2006/05/19 21:42:16  glen
- drop trigger

Revision 1.18  2006/03/04 16:20:40  glen
- md5

Revision 1.17  2006/03/04 16:18:58  glen
- 2.0.1 (several security fixes)

Revision 1.16  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.15  2005/12/03 21:21:48  glen
- rel 4 to denote i'm finished

Revision 1.14  2005/12/03 21:19:21  glen
- expand macros in triggers; simplify it

Revision 1.13  2005/12/03 21:15:28  glen
- use webapps framework

Revision 1.12  2005/07/04 14:29:38  glen
- TODO security

Revision 1.11  2005/06/17 21:35:44  undefine
- +x for binaries

Revision 1.10  2005/06/07 06:36:32  glen
- TODO security

Revision 1.9  2005/03/31 22:43:51  siefca
- directories attrs fixed for themes and plugins

Revision 1.8  2005/03/31 21:54:02  siefca
- paths fixed
- doc files fixed

Revision 1.7  2005/03/31 21:36:07  siefca
- default installation path changed to the default datadir (/usr/share)
- added config for apache2
- extended post and added preun sections
- scripts modified according to new installation path
- release 3

Revision 1.6  2005/03/23 09:49:40  siefca
- default filemasks fixed in files
- postinstall scriptlet secured
- major cleanups in prep

Revision 1.5  2005/03/22 01:03:19  siefca
- added secure/setup scriptlets for themes and plugins
- (yes, http should write occasionally, but still to be fixed for other dirs)
- release 2

Revision 1.4  2005/03/20 15:59:08  siefca
- default ownership changed in order to simplify the management (when needed)

Revision 1.3  2005/03/18 21:50:28  qboosh
- unified

Revision 1.2  2005/03/18 01:31:18  siefca
- added missing dependency Requires: php-pcre

Revision 1.1  2005/03/17 23:53:28  siefca
- initial revision
